WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options
Class EuropeanRho

    java.lang.Object
      |
      +--webcab.lib.finance.options.EuropeanRho

All Implemented Interfaces:
  Serializable

public class EuropeanRho
extends Object
implements Serializable

Within this class we consider the evaluation of the Rho of European options on equities, equity indexes, currencies and futures contracts in accordance with the classical Black-Scholes model.

Recall that the Rho of an option contract is the rate of change (i.e. the first derivative) of the option price with respect to changes of the risk free interest rate.

See Also:
  Serialized Form

Constructor Summary
`EuropeanRho()` Creates a new instance.

Method Summary
`double` `callRho(double stockPrice, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Evaluates Rho for a European call option whether or not the underlying asset pays a dividend.
`double` `callRho(double stockPrice, double strike, double riskFreeRate, double volatility, double timeToMaturity)` Evaluates Rho for a European call option whether or not the underlying asset pays a dividend.
`double` `callRhoOnBaseCurrency(double exchangeRate, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Returns the Rho for a European call option on a currency with respect to the base currencies interest rate.
`double` `callRhoOnBaseCurrency(double exchangeRate, double strike, double riskFreeRate, double volatility, double timeToMaturity)` Returns the Rho for a European call option on a currency with respect to the base currencies interest rate.
`double` `callRhoOnForeignCurrency(double foreignRiskFree, double exchangeRate, double strike, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Evaluates the Rho for a European call option on a currency with respect to the foreign currencies interest rate.
`double` `callRhoOnForeignCurrency(double foreignRiskFree, double exchangeRate, double strike, double volatility, double timeToMaturity)` Evaluates the Rho for a European call option on a currency with respect to the foreign currencies interest rate.
`double` `callRhoOnIndex(double indexValue, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Evaluate the Rho for a European call option on an index.
`double` `callRhoOnIndex(double indexValue, double strike, double riskFreeRate, double volatility, double timeToMaturity)` Evaluate the Rho for a European call option on an index.
`double` `putRho(double stockPrice, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Evaluate the Rho for a European put option whether or not the underlying asset pays a dividend.
`double` `putRho(double stockPrice, double strike, double riskFreeRate, double volatility, double timeToMaturity)` Evaluate the Rho for a European put option whether or not the underlying asset pays a dividend.
`double` `putRhoOnBaseCurrency(double exchangeRate, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Returns the Rho for a European put option on a currency with respect to the base currencies interest rate.
`double` `putRhoOnBaseCurrency(double exchangeRate, double strike, double riskFreeRate, double volatility, double timeToMaturity)` Returns the Rho for a European put option on a currency with respect to the base currencies interest rate.
`double` `putRhoOnForeignCurrency(double foreignRiskFree, double exchangeRate, double strike, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Evaluates the rho for a European put option on a currency with respect to the foreign currencies interest rate.
`double` `putRhoOnForeignCurrency(double foreignRiskFree, double exchangeRate, double strike, double volatility, double timeToMaturity)` Evaluates the rho for a European put option on a currency with respect to the foreign currencies interest rate.
`double` `putRhoOnIndex(double indexValue, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Evaluate the Rho for a European put option on an index.
`double` `putRhoOnIndex(double indexValue, double strike, double riskFreeRate, double volatility, double timeToMaturity)` Evaluate the Rho for a European put option on an index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EuropeanRho

    public EuropeanRho()

  Creates a new instance.

Method Detail

### callRho

    public double callRho(double stockPrice,
                          double strike,
                          double riskFreeRate,
                          double volatility,
                          Date evaluationDate,
                          Date maturityDate,
                          BusinessCalendar businessCalendar)
                   throws EuropeanRhoDemoException

  Evaluates Rho for a European call option whether or not the underlying asset pays a dividend.

  Parameters:
    `stockPrice` - the price of the underlying asset
    `strike` - the strike of the option contract
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `evaluationDate` - the date when the Rho of the option is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanRhoDemoException`

### callRho

    public double callRho(double stockPrice,
                          double strike,
                          double riskFreeRate,
                          double volatility,
                          double timeToMaturity)
                   throws EuropeanRhoDemoException

  Evaluates Rho for a European call option whether or not the underlying asset pays a dividend.

  Parameters:
    `stockPrice` - the price of the underlying asset
    `strike` - the strike of the option contract
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `timeToMaturity` - the time period until the option expires
    `EuropeanRhoDemoException`

### putRho

    public double putRho(double stockPrice,
                         double strike,
                         double riskFreeRate,
                         double volatility,
                         Date evaluationDate,
                         Date maturityDate,
                         BusinessCalendar businessCalendar)
                  throws EuropeanRhoDemoException

  Evaluate the Rho for a European put option whether or not the underlying asset pays a dividend.

  Parameters:
    `stockPrice` - the price of the underlying asset
    `strike` - the strike of the option contract
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `evaluationDate` - the date when the Rho of the option is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanRhoDemoException`

### putRho

    public double putRho(double stockPrice,
                         double strike,
                         double riskFreeRate,
                         double volatility,
                         double timeToMaturity)
                  throws EuropeanRhoDemoException

  Evaluate the Rho for a European put option whether or not the underlying asset pays a dividend.

  Parameters:
    `stockPrice` - the price of the underlying asset
    `strike` - the strike of the option contract
    `timeToMaturity` - the time period until the option expires
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `EuropeanRhoDemoException`

### callRhoOnIndex

    public double callRhoOnIndex(double indexValue,
                                 double strike,
                                 double riskFreeRate,
                                 double volatility,
                                 Date evaluationDate,
                                 Date maturityDate,
                                 BusinessCalendar businessCalendar)
                          throws EuropeanRhoDemoException

  Evaluate the Rho for a European call option on an index.

  Parameters:
    `indexValue` - the value of the index
    `strike` - the value at which the option is exercised
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the index
    `evaluationDate` - the date when the Rho of the option is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanRhoDemoException`

### callRhoOnIndex

    public double callRhoOnIndex(double indexValue,
                                 double strike,
                                 double riskFreeRate,
                                 double volatility,
                                 double timeToMaturity)
                          throws EuropeanRhoDemoException

  Evaluate the Rho for a European call option on an index.

  Parameters:
    `indexValue` - the value of the index
    `strike` - the value at which the option is exercised
    `timeToMaturity` - the period until the option expires
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the index
    `EuropeanRhoDemoException`

### putRhoOnIndex

    public double putRhoOnIndex(double indexValue,
                                double strike,
                                double riskFreeRate,
                                double volatility,
                                Date evaluationDate,
                                Date maturityDate,
                                BusinessCalendar businessCalendar)
                         throws EuropeanRhoDemoException

  Evaluate the Rho for a European put option on an index.

  Parameters:
    `indexValue` - the value of the index
    `strike` - the value at which the option is exercised
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the index
    `evaluationDate` - the date when the Rho of the option is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanRhoDemoException`

### putRhoOnIndex

    public double putRhoOnIndex(double indexValue,
                                double strike,
                                double riskFreeRate,
                                double volatility,
                                double timeToMaturity)
                         throws EuropeanRhoDemoException

  Evaluate the Rho for a European put option on an index.

  Parameters:
    `indexValue` - the value of the index
    `strike` - the value at which the option is exercised
    `timeToMaturity` - the period until the option expires
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the index
    `EuropeanRhoDemoException`

### callRhoOnBaseCurrency

    public double callRhoOnBaseCurrency(double exchangeRate,
                                        double strike,
                                        double riskFreeRate,
                                        double volatility,
                                        Date evaluationDate,
                                        Date maturityDate,
                                        BusinessCalendar businessCalendar)
                                 throws EuropeanRhoDemoException

  Returns the Rho for a European call option on a currency with respect to the base currencies interest rate.

  Parameters:
    `exchangeRate` - the price of the underlying asset
    `strike` - exchange rate at which the option contract is exercised
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `evaluationDate` - the date when the Rho of the option is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanRhoDemoException`

### callRhoOnBaseCurrency

    public double callRhoOnBaseCurrency(double exchangeRate,
                                        double strike,
                                        double riskFreeRate,
                                        double volatility,
                                        double timeToMaturity)
                                 throws EuropeanRhoDemoException

  Returns the Rho for a European call option on a currency with respect to the base currencies interest rate.

  Parameters:
    `exchangeRate` - the price of the underlying asset
    `strike` - exchange rate at which the option contract is exercised
    `timeToMaturity` - the time period until the option expires
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `EuropeanRhoDemoException`

### putRhoOnBaseCurrency

    public double putRhoOnBaseCurrency(double exchangeRate,
                                       double strike,
                                       double riskFreeRate,
                                       double volatility,
                                       Date evaluationDate,
                                       Date maturityDate,
                                       BusinessCalendar businessCalendar)
                                throws EuropeanRhoDemoException

  Returns the Rho for a European put option on a currency with respect to the base currencies interest rate.

  Parameters:
    `exchangeRate` - the present exchange rate between the two currencies
    `strike` - exchange rate at which the option contract is exercised
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `evaluationDate` - the date when the Rho of the option is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanRhoDemoException`

### putRhoOnBaseCurrency

    public double putRhoOnBaseCurrency(double exchangeRate,
                                       double strike,
                                       double riskFreeRate,
                                       double volatility,
                                       double timeToMaturity)
                                throws EuropeanRhoDemoException

  Returns the Rho for a European put option on a currency with respect to the base currencies interest rate.

  Parameters:
    `exchangeRate` - the present exchange rate between the two currencies
    `strike` - exchange rate at which the option contract is exercised
    `timeToMaturity` - the time period until the option expires
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `EuropeanRhoDemoException`

### callRhoOnForeignCurrency

    public double callRhoOnForeignCurrency(double foreignRiskFree,
                                           double exchangeRate,
                                           double strike,
                                           double volatility,
                                           Date evaluationDate,
                                           Date maturityDate,
                                           BusinessCalendar businessCalendar)
                                    throws EuropeanRhoDemoException

  Evaluates the Rho for a European call option on a currency with respect to the foreign currencies interest rate.

  Parameters:
    `foreignRiskFree` - the continuously compounded risk free interest rate in the foreign currency
    `exchangeRate` - the exchange rate between the two currencies
    `strike` - the exchange rate at which the option is settled
    `volatility` - the volatility of the exchange rate
    `evaluationDate` - the date when the Rho of the option is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanRhoDemoException`

### callRhoOnForeignCurrency

    public double callRhoOnForeignCurrency(double foreignRiskFree,
                                           double exchangeRate,
                                           double strike,
                                           double volatility,
                                           double timeToMaturity)
                                    throws EuropeanRhoDemoException

  Evaluates the Rho for a European call option on a currency with respect to the foreign currencies interest rate.

  Parameters:
    `foreignRiskFree` - the continuously compounded risk free interest rate in the foreign currency
    `exchangeRate` - the exchange rate between the two currencies
    `strike` - the exchange rate at which the option is settled
    `timeToMaturity` - the time period until the option contract expires
    `volatility` - the volatility of the exchange rate
    `EuropeanRhoDemoException`

### putRhoOnForeignCurrency

    public double putRhoOnForeignCurrency(double foreignRiskFree,
                                          double exchangeRate,
                                          double strike,
                                          double volatility,
                                          Date evaluationDate,
                                          Date maturityDate,
                                          BusinessCalendar businessCalendar)
                                   throws EuropeanRhoDemoException

  Evaluates the rho for a European put option on a currency with respect to the foreign currencies interest rate.

  Parameters:
    `foreignRiskFree` - the continuously compounded risk free interest rate in the foreign currency
    `exchangeRate` - the exchange rate between the two currencies
    `strike` - the exchange rate at which the option is settled
    `volatility` - the volatility of the exchange rate
    `evaluationDate` - the date when the Rho of the option is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanRhoDemoException`

### putRhoOnForeignCurrency

    public double putRhoOnForeignCurrency(double foreignRiskFree,
                                          double exchangeRate,
                                          double strike,
                                          double volatility,
                                          double timeToMaturity)
                                   throws EuropeanRhoDemoException

  Evaluates the rho for a European put option on a currency with respect to the foreign currencies interest rate.

  Parameters:
    `foreignRiskFree` - the continuously compounded risk free interest rate in the foreign currency
    `exchangeRate` - the exchange rate between the two currencies
    `strike` - the exchange rate at which the option is settled
    `timeToMaturity` - the time period until the option contract expires
    `volatility` - the volatility of the exchange rate
    `EuropeanRhoDemoException`

WebCab Options and Futures Demo v2.5 (J2SE Edition)